# ApplicationFramework
TKLCAF
TDF

# TDF_HAttributeArray1 Class Reference

`#include <TDF_HAttributeArray1.hxx>`

## Public Member Functions

Standard_EXPORT | TDF_HAttributeArray1 (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TDF_HAttributeArray1 (const Standard_Integer Low, const Standard_Integer Up, const Handle(TDF_Attribute)&V)
Standard_EXPORT void | Init (const Handle(TDF_Attribute)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(TDF_Attribute)&Value)
const Handle_TDF_Attribute & | Value (const Standard_Integer Index) const
Handle_TDF_Attribute & | ChangeValue (const Standard_Integer Index)
const TDF_AttributeArray1 & | Array1 () const
TDF_AttributeArray1 & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDF_AttributeArray1 | myArray

## Constructor & Destructor Documentation

Standard_EXPORT TDF_HAttributeArray1::TDF_HAttributeArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TDF_HAttributeArray1::TDF_HAttributeArray1 | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(TDF_Attribute)& | V
| ) |

## Member Function Documentation

const TDF_AttributeArray1& TDF_HAttributeArray1::Array1 | ( |  | ) | const

TDF_AttributeArray1& TDF_HAttributeArray1::ChangeArray1 | ( |  | ) |

Handle_TDF_Attribute& TDF_HAttributeArray1::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const TDF_HAttributeArray1::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void TDF_HAttributeArray1::Init | ( | const Handle(TDF_Attribute)& | V | ) |

Standard_Integer TDF_HAttributeArray1::Length | ( |  | ) | const

Standard_Integer TDF_HAttributeArray1::Lower | ( |  | ) | const

void TDF_HAttributeArray1::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(TDF_Attribute)& | Value
| ) |

Standard_Integer TDF_HAttributeArray1::Upper | ( |  | ) | const

const Handle_TDF_Attribute& TDF_HAttributeArray1::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

TDF_AttributeArray1 TDF_HAttributeArray1::myArray `[private]`

The documentation for this class was generated from the following file:

- TDF_HAttributeArray1.hxx